<template>
  <div
    class="app-download-container flex justify-around items-center py-[40px] container mx-auto"
  >
    <div>
      <qrCodeAppDownload :hasHeader="true" :qrCodeLink="getAppDownloadUrl" />
    </div>
    <div class="w-[500px] h-[450px]">
      <img
        class="w-full h-full object-contain"
        :src="appDownload.ImagePath"
        alt="AppDownload"
      />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { useHeaderComponent } from "@/composables/useTheme";
import qrCodeAppDownload from "@/components/theme/desktop/peru/components/generate-qr-app-download-greenperu.client.vue";

export default defineComponent({
  components: {
    qrCodeAppDownload,
  },
  setup() {
    const { appDownload, getAppDownloadUrl } = useHeaderComponent();
    return {
      appDownload,
      getAppDownloadUrl,
    };
  },
});
</script>
